
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta charset="utf-8" />
    <title>models module &#8212; DataMAx 0.1 documentation</title>
    <link rel="stylesheet" href="_static/nature.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="module-models">
<span id="models-module"></span><h1>models module<a class="headerlink" href="#module-models" title="Permalink to this headline">¶</a></h1>
<dl class="class">
<dt id="models.Project">
<em class="property">class </em><code class="sig-prename descclassname">models.</code><code class="sig-name descname">Project</code><span class="sig-paren">(</span><em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#models.Project" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">sqlalchemy.ext.declarative.api.Base</span></code></p>
<dl class="attribute">
<dt id="models.Project.id">
<code class="sig-name descname">id</code><a class="headerlink" href="#models.Project.id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Project.name">
<code class="sig-name descname">name</code><a class="headerlink" href="#models.Project.name" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Project.description">
<code class="sig-name descname">description</code><a class="headerlink" href="#models.Project.description" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Project.created_by">
<code class="sig-name descname">created_by</code><a class="headerlink" href="#models.Project.created_by" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Project.creation_date">
<code class="sig-name descname">creation_date</code><a class="headerlink" href="#models.Project.creation_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Project.modified_by">
<code class="sig-name descname">modified_by</code><a class="headerlink" href="#models.Project.modified_by" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Project.modification_date">
<code class="sig-name descname">modification_date</code><a class="headerlink" href="#models.Project.modification_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Project.is_active">
<code class="sig-name descname">is_active</code><a class="headerlink" href="#models.Project.is_active" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="models.Project.serialize">
<em class="property">property </em><code class="sig-name descname">serialize</code><a class="headerlink" href="#models.Project.serialize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="models.Connector">
<em class="property">class </em><code class="sig-prename descclassname">models.</code><code class="sig-name descname">Connector</code><span class="sig-paren">(</span><em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#models.Connector" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">sqlalchemy.ext.declarative.api.Base</span></code></p>
<dl class="attribute">
<dt id="models.Connector.id">
<code class="sig-name descname">id</code><a class="headerlink" href="#models.Connector.id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Connector.name">
<code class="sig-name descname">name</code><a class="headerlink" href="#models.Connector.name" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Connector.description">
<code class="sig-name descname">description</code><a class="headerlink" href="#models.Connector.description" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Connector.project_id">
<code class="sig-name descname">project_id</code><a class="headerlink" href="#models.Connector.project_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Connector.connection_type">
<code class="sig-name descname">connection_type</code><a class="headerlink" href="#models.Connector.connection_type" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Connector.connection">
<code class="sig-name descname">connection</code><a class="headerlink" href="#models.Connector.connection" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Connector.created_by">
<code class="sig-name descname">created_by</code><a class="headerlink" href="#models.Connector.created_by" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Connector.creation_date">
<code class="sig-name descname">creation_date</code><a class="headerlink" href="#models.Connector.creation_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Connector.modified_by">
<code class="sig-name descname">modified_by</code><a class="headerlink" href="#models.Connector.modified_by" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Connector.modification_date">
<code class="sig-name descname">modification_date</code><a class="headerlink" href="#models.Connector.modification_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Connector.is_active">
<code class="sig-name descname">is_active</code><a class="headerlink" href="#models.Connector.is_active" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Connector.project">
<code class="sig-name descname">project</code><a class="headerlink" href="#models.Connector.project" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="models.Connector.serialize">
<em class="property">property </em><code class="sig-name descname">serialize</code><a class="headerlink" href="#models.Connector.serialize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="models.Files">
<em class="property">class </em><code class="sig-prename descclassname">models.</code><code class="sig-name descname">Files</code><span class="sig-paren">(</span><em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#models.Files" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">sqlalchemy.ext.declarative.api.Base</span></code></p>
<dl class="attribute">
<dt id="models.Files.id">
<code class="sig-name descname">id</code><a class="headerlink" href="#models.Files.id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Files.name">
<code class="sig-name descname">name</code><a class="headerlink" href="#models.Files.name" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Files.description">
<code class="sig-name descname">description</code><a class="headerlink" href="#models.Files.description" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Files.connector_id">
<code class="sig-name descname">connector_id</code><a class="headerlink" href="#models.Files.connector_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Files.shape">
<code class="sig-name descname">shape</code><a class="headerlink" href="#models.Files.shape" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Files.properties">
<code class="sig-name descname">properties</code><a class="headerlink" href="#models.Files.properties" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Files.created_by">
<code class="sig-name descname">created_by</code><a class="headerlink" href="#models.Files.created_by" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Files.creation_date">
<code class="sig-name descname">creation_date</code><a class="headerlink" href="#models.Files.creation_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Files.modified_by">
<code class="sig-name descname">modified_by</code><a class="headerlink" href="#models.Files.modified_by" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Files.modification_date">
<code class="sig-name descname">modification_date</code><a class="headerlink" href="#models.Files.modification_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Files.is_active">
<code class="sig-name descname">is_active</code><a class="headerlink" href="#models.Files.is_active" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Files.source_type">
<code class="sig-name descname">source_type</code><a class="headerlink" href="#models.Files.source_type" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Files.connector">
<code class="sig-name descname">connector</code><a class="headerlink" href="#models.Files.connector" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="models.Rules">
<em class="property">class </em><code class="sig-prename descclassname">models.</code><code class="sig-name descname">Rules</code><span class="sig-paren">(</span><em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#models.Rules" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">sqlalchemy.ext.declarative.api.Base</span></code></p>
<dl class="attribute">
<dt id="models.Rules.id">
<code class="sig-name descname">id</code><a class="headerlink" href="#models.Rules.id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Rules.name">
<code class="sig-name descname">name</code><a class="headerlink" href="#models.Rules.name" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Rules.description">
<code class="sig-name descname">description</code><a class="headerlink" href="#models.Rules.description" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Rules.redshiftquery">
<code class="sig-name descname">redshiftquery</code><a class="headerlink" href="#models.Rules.redshiftquery" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Rules.pyfunctionname">
<code class="sig-name descname">pyfunctionname</code><a class="headerlink" href="#models.Rules.pyfunctionname" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Rules.createdby">
<code class="sig-name descname">createdby</code><a class="headerlink" href="#models.Rules.createdby" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Rules.creationdate">
<code class="sig-name descname">creationdate</code><a class="headerlink" href="#models.Rules.creationdate" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Rules.modifiedby">
<code class="sig-name descname">modifiedby</code><a class="headerlink" href="#models.Rules.modifiedby" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Rules.modificatindate">
<code class="sig-name descname">modificatindate</code><a class="headerlink" href="#models.Rules.modificatindate" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Rules.parameters">
<code class="sig-name descname">parameters</code><a class="headerlink" href="#models.Rules.parameters" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Rules.level">
<code class="sig-name descname">level</code><a class="headerlink" href="#models.Rules.level" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Rules.is_active">
<code class="sig-name descname">is_active</code><a class="headerlink" href="#models.Rules.is_active" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Rules.datatype">
<code class="sig-name descname">datatype</code><a class="headerlink" href="#models.Rules.datatype" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Rules.ui_description">
<code class="sig-name descname">ui_description</code><a class="headerlink" href="#models.Rules.ui_description" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="models.Rules.serialize">
<em class="property">property </em><code class="sig-name descname">serialize</code><a class="headerlink" href="#models.Rules.serialize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="models.Config">
<em class="property">class </em><code class="sig-prename descclassname">models.</code><code class="sig-name descname">Config</code><span class="sig-paren">(</span><em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#models.Config" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">sqlalchemy.ext.declarative.api.Base</span></code></p>
<dl class="attribute">
<dt id="models.Config.id">
<code class="sig-name descname">id</code><a class="headerlink" href="#models.Config.id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Config.name">
<code class="sig-name descname">name</code><a class="headerlink" href="#models.Config.name" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Config.params">
<code class="sig-name descname">params</code><a class="headerlink" href="#models.Config.params" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Config.std_object">
<code class="sig-name descname">std_object</code><a class="headerlink" href="#models.Config.std_object" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Config.file_id">
<code class="sig-name descname">file_id</code><a class="headerlink" href="#models.Config.file_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Config.project_id">
<code class="sig-name descname">project_id</code><a class="headerlink" href="#models.Config.project_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Config.version">
<code class="sig-name descname">version</code><a class="headerlink" href="#models.Config.version" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Config.is_active">
<code class="sig-name descname">is_active</code><a class="headerlink" href="#models.Config.is_active" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Config.created_by">
<code class="sig-name descname">created_by</code><a class="headerlink" href="#models.Config.created_by" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Config.creation_date">
<code class="sig-name descname">creation_date</code><a class="headerlink" href="#models.Config.creation_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Config.modified_by">
<code class="sig-name descname">modified_by</code><a class="headerlink" href="#models.Config.modified_by" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Config.modification_date">
<code class="sig-name descname">modification_date</code><a class="headerlink" href="#models.Config.modification_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="models.Config.serialize">
<em class="property">property </em><code class="sig-name descname">serialize</code><a class="headerlink" href="#models.Config.serialize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="models.ConfigInstance">
<em class="property">class </em><code class="sig-prename descclassname">models.</code><code class="sig-name descname">ConfigInstance</code><span class="sig-paren">(</span><em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#models.ConfigInstance" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">sqlalchemy.ext.declarative.api.Base</span></code></p>
<dl class="attribute">
<dt id="models.ConfigInstance.id">
<code class="sig-name descname">id</code><a class="headerlink" href="#models.ConfigInstance.id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ConfigInstance.config_id">
<code class="sig-name descname">config_id</code><a class="headerlink" href="#models.ConfigInstance.config_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ConfigInstance.rule_type">
<code class="sig-name descname">rule_type</code><a class="headerlink" href="#models.ConfigInstance.rule_type" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ConfigInstance.target_table">
<code class="sig-name descname">target_table</code><a class="headerlink" href="#models.ConfigInstance.target_table" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ConfigInstance.target_schema">
<code class="sig-name descname">target_schema</code><a class="headerlink" href="#models.ConfigInstance.target_schema" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ConfigInstance.detail_table_name">
<code class="sig-name descname">detail_table_name</code><a class="headerlink" href="#models.ConfigInstance.detail_table_name" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ConfigInstance.detail_schema_name">
<code class="sig-name descname">detail_schema_name</code><a class="headerlink" href="#models.ConfigInstance.detail_schema_name" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ConfigInstance.success_table_name">
<code class="sig-name descname">success_table_name</code><a class="headerlink" href="#models.ConfigInstance.success_table_name" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ConfigInstance.success_schema_name">
<code class="sig-name descname">success_schema_name</code><a class="headerlink" href="#models.ConfigInstance.success_schema_name" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ConfigInstance.failure_table_name">
<code class="sig-name descname">failure_table_name</code><a class="headerlink" href="#models.ConfigInstance.failure_table_name" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ConfigInstance.failure_schema_name">
<code class="sig-name descname">failure_schema_name</code><a class="headerlink" href="#models.ConfigInstance.failure_schema_name" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ConfigInstance.created_by">
<code class="sig-name descname">created_by</code><a class="headerlink" href="#models.ConfigInstance.created_by" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ConfigInstance.start_date">
<code class="sig-name descname">start_date</code><a class="headerlink" href="#models.ConfigInstance.start_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ConfigInstance.end_date">
<code class="sig-name descname">end_date</code><a class="headerlink" href="#models.ConfigInstance.end_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ConfigInstance.success_count">
<code class="sig-name descname">success_count</code><a class="headerlink" href="#models.ConfigInstance.success_count" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ConfigInstance.fail_count">
<code class="sig-name descname">fail_count</code><a class="headerlink" href="#models.ConfigInstance.fail_count" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ConfigInstance.status">
<code class="sig-name descname">status</code><a class="headerlink" href="#models.ConfigInstance.status" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ConfigInstance.stage">
<code class="sig-name descname">stage</code><a class="headerlink" href="#models.ConfigInstance.stage" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ConfigInstance.success_s3_path">
<code class="sig-name descname">success_s3_path</code><a class="headerlink" href="#models.ConfigInstance.success_s3_path" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ConfigInstance.failure_s3_path">
<code class="sig-name descname">failure_s3_path</code><a class="headerlink" href="#models.ConfigInstance.failure_s3_path" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ConfigInstance.is_archieved">
<code class="sig-name descname">is_archieved</code><a class="headerlink" href="#models.ConfigInstance.is_archieved" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ConfigInstance.config">
<code class="sig-name descname">config</code><a class="headerlink" href="#models.ConfigInstance.config" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="models.ConfigInstance.serialize">
<em class="property">property </em><code class="sig-name descname">serialize</code><a class="headerlink" href="#models.ConfigInstance.serialize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="models.RuleInstance">
<em class="property">class </em><code class="sig-prename descclassname">models.</code><code class="sig-name descname">RuleInstance</code><span class="sig-paren">(</span><em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#models.RuleInstance" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">sqlalchemy.ext.declarative.api.Base</span></code></p>
<dl class="attribute">
<dt id="models.RuleInstance.id">
<code class="sig-name descname">id</code><a class="headerlink" href="#models.RuleInstance.id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.RuleInstance.config_instance_id">
<code class="sig-name descname">config_instance_id</code><a class="headerlink" href="#models.RuleInstance.config_instance_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.RuleInstance.rule_id">
<code class="sig-name descname">rule_id</code><a class="headerlink" href="#models.RuleInstance.rule_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.RuleInstance.query">
<code class="sig-name descname">query</code><a class="headerlink" href="#models.RuleInstance.query" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.RuleInstance.start_date">
<code class="sig-name descname">start_date</code><a class="headerlink" href="#models.RuleInstance.start_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.RuleInstance.end_date">
<code class="sig-name descname">end_date</code><a class="headerlink" href="#models.RuleInstance.end_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.RuleInstance.fail_count">
<code class="sig-name descname">fail_count</code><a class="headerlink" href="#models.RuleInstance.fail_count" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.RuleInstance.status">
<code class="sig-name descname">status</code><a class="headerlink" href="#models.RuleInstance.status" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.RuleInstance.stage">
<code class="sig-name descname">stage</code><a class="headerlink" href="#models.RuleInstance.stage" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="models.RuleInstance.serialize">
<em class="property">property </em><code class="sig-name descname">serialize</code><a class="headerlink" href="#models.RuleInstance.serialize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="models.API">
<em class="property">class </em><code class="sig-prename descclassname">models.</code><code class="sig-name descname">API</code><span class="sig-paren">(</span><em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#models.API" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">sqlalchemy.ext.declarative.api.Base</span></code></p>
<dl class="attribute">
<dt id="models.API.id">
<code class="sig-name descname">id</code><a class="headerlink" href="#models.API.id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.API.name">
<code class="sig-name descname">name</code><a class="headerlink" href="#models.API.name" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.API.version">
<code class="sig-name descname">version</code><a class="headerlink" href="#models.API.version" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.API.description">
<code class="sig-name descname">description</code><a class="headerlink" href="#models.API.description" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.API.status">
<code class="sig-name descname">status</code><a class="headerlink" href="#models.API.status" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.API.category">
<code class="sig-name descname">category</code><a class="headerlink" href="#models.API.category" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.API.created_on">
<code class="sig-name descname">created_on</code><a class="headerlink" href="#models.API.created_on" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="models.API.serialize">
<em class="property">property </em><code class="sig-name descname">serialize</code><a class="headerlink" href="#models.API.serialize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="models.APIAuth">
<em class="property">class </em><code class="sig-prename descclassname">models.</code><code class="sig-name descname">APIAuth</code><span class="sig-paren">(</span><em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#models.APIAuth" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">sqlalchemy.ext.declarative.api.Base</span></code></p>
<dl class="attribute">
<dt id="models.APIAuth.id">
<code class="sig-name descname">id</code><a class="headerlink" href="#models.APIAuth.id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.APIAuth.name">
<code class="sig-name descname">name</code><a class="headerlink" href="#models.APIAuth.name" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.APIAuth.password">
<code class="sig-name descname">password</code><a class="headerlink" href="#models.APIAuth.password" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.APIAuth.is_active">
<code class="sig-name descname">is_active</code><a class="headerlink" href="#models.APIAuth.is_active" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="models.APIAuth.serialize">
<em class="property">property </em><code class="sig-name descname">serialize</code><a class="headerlink" href="#models.APIAuth.serialize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="models.User">
<em class="property">class </em><code class="sig-prename descclassname">models.</code><code class="sig-name descname">User</code><span class="sig-paren">(</span><em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#models.User" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">sqlalchemy.ext.declarative.api.Base</span></code></p>
<dl class="attribute">
<dt id="models.User.firstname">
<code class="sig-name descname">firstname</code><a class="headerlink" href="#models.User.firstname" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.User.lastname">
<code class="sig-name descname">lastname</code><a class="headerlink" href="#models.User.lastname" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.User.is_active">
<code class="sig-name descname">is_active</code><a class="headerlink" href="#models.User.is_active" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.User.created_date">
<code class="sig-name descname">created_date</code><a class="headerlink" href="#models.User.created_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.User.modified_date">
<code class="sig-name descname">modified_date</code><a class="headerlink" href="#models.User.modified_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.User.is_deleted">
<code class="sig-name descname">is_deleted</code><a class="headerlink" href="#models.User.is_deleted" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.User.user_id">
<code class="sig-name descname">user_id</code><a class="headerlink" href="#models.User.user_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.User.username">
<code class="sig-name descname">username</code><a class="headerlink" href="#models.User.username" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.User.is_ldap_user">
<code class="sig-name descname">is_ldap_user</code><a class="headerlink" href="#models.User.is_ldap_user" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.User.is_local_user">
<code class="sig-name descname">is_local_user</code><a class="headerlink" href="#models.User.is_local_user" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.User.created_by">
<code class="sig-name descname">created_by</code><a class="headerlink" href="#models.User.created_by" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.User.modified_by">
<code class="sig-name descname">modified_by</code><a class="headerlink" href="#models.User.modified_by" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.User.is_admin">
<code class="sig-name descname">is_admin</code><a class="headerlink" href="#models.User.is_admin" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.User.password">
<code class="sig-name descname">password</code><a class="headerlink" href="#models.User.password" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.User.email">
<code class="sig-name descname">email</code><a class="headerlink" href="#models.User.email" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.User.parent">
<code class="sig-name descname">parent</code><a class="headerlink" href="#models.User.parent" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.User.parent1">
<code class="sig-name descname">parent1</code><a class="headerlink" href="#models.User.parent1" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="models.User.serialize">
<em class="property">property </em><code class="sig-name descname">serialize</code><a class="headerlink" href="#models.User.serialize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="models.APIMeta">
<em class="property">class </em><code class="sig-prename descclassname">models.</code><code class="sig-name descname">APIMeta</code><span class="sig-paren">(</span><em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#models.APIMeta" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">sqlalchemy.ext.declarative.api.Base</span></code></p>
<dl class="attribute">
<dt id="models.APIMeta.id">
<code class="sig-name descname">id</code><a class="headerlink" href="#models.APIMeta.id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.APIMeta.api_id">
<code class="sig-name descname">api_id</code><a class="headerlink" href="#models.APIMeta.api_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.APIMeta.query">
<code class="sig-name descname">query</code><a class="headerlink" href="#models.APIMeta.query" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.APIMeta.connector_id">
<code class="sig-name descname">connector_id</code><a class="headerlink" href="#models.APIMeta.connector_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.APIMeta.sequence">
<code class="sig-name descname">sequence</code><a class="headerlink" href="#models.APIMeta.sequence" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="models.APIMeta.serialize">
<em class="property">property </em><code class="sig-name descname">serialize</code><a class="headerlink" href="#models.APIMeta.serialize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="models.ConnectionMetaExt">
<em class="property">class </em><code class="sig-prename descclassname">models.</code><code class="sig-name descname">ConnectionMetaExt</code><span class="sig-paren">(</span><em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#models.ConnectionMetaExt" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">sqlalchemy.ext.declarative.api.Base</span></code></p>
<dl class="attribute">
<dt id="models.ConnectionMetaExt.conn_id">
<code class="sig-name descname">conn_id</code><a class="headerlink" href="#models.ConnectionMetaExt.conn_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ConnectionMetaExt.id">
<code class="sig-name descname">id</code><a class="headerlink" href="#models.ConnectionMetaExt.id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ConnectionMetaExt.bucket">
<code class="sig-name descname">bucket</code><a class="headerlink" href="#models.ConnectionMetaExt.bucket" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ConnectionMetaExt.folder_prefix">
<code class="sig-name descname">folder_prefix</code><a class="headerlink" href="#models.ConnectionMetaExt.folder_prefix" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ConnectionMetaExt.connector">
<code class="sig-name descname">connector</code><a class="headerlink" href="#models.ConnectionMetaExt.connector" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="models.ConnectionMetaExt.serialize">
<em class="property">property </em><code class="sig-name descname">serialize</code><a class="headerlink" href="#models.ConnectionMetaExt.serialize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="models.Workspace">
<em class="property">class </em><code class="sig-prename descclassname">models.</code><code class="sig-name descname">Workspace</code><span class="sig-paren">(</span><em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#models.Workspace" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">sqlalchemy.ext.declarative.api.Base</span></code></p>
<dl class="attribute">
<dt id="models.Workspace.id">
<code class="sig-name descname">id</code><a class="headerlink" href="#models.Workspace.id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Workspace.name">
<code class="sig-name descname">name</code><a class="headerlink" href="#models.Workspace.name" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Workspace.description">
<code class="sig-name descname">description</code><a class="headerlink" href="#models.Workspace.description" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Workspace.connector_id">
<code class="sig-name descname">connector_id</code><a class="headerlink" href="#models.Workspace.connector_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Workspace.is_active">
<code class="sig-name descname">is_active</code><a class="headerlink" href="#models.Workspace.is_active" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Workspace.created_on">
<code class="sig-name descname">created_on</code><a class="headerlink" href="#models.Workspace.created_on" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Workspace.modified_on">
<code class="sig-name descname">modified_on</code><a class="headerlink" href="#models.Workspace.modified_on" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="models.Workspace.serialize">
<em class="property">property </em><code class="sig-name descname">serialize</code><a class="headerlink" href="#models.Workspace.serialize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="models.Workflow">
<em class="property">class </em><code class="sig-prename descclassname">models.</code><code class="sig-name descname">Workflow</code><span class="sig-paren">(</span><em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#models.Workflow" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">sqlalchemy.ext.declarative.api.Base</span></code></p>
<dl class="attribute">
<dt id="models.Workflow.id">
<code class="sig-name descname">id</code><a class="headerlink" href="#models.Workflow.id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Workflow.name">
<code class="sig-name descname">name</code><a class="headerlink" href="#models.Workflow.name" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Workflow.description">
<code class="sig-name descname">description</code><a class="headerlink" href="#models.Workflow.description" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Workflow.workflow_meta">
<code class="sig-name descname">workflow_meta</code><a class="headerlink" href="#models.Workflow.workflow_meta" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Workflow.version">
<code class="sig-name descname">version</code><a class="headerlink" href="#models.Workflow.version" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Workflow.status">
<code class="sig-name descname">status</code><a class="headerlink" href="#models.Workflow.status" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Workflow.health">
<code class="sig-name descname">health</code><a class="headerlink" href="#models.Workflow.health" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Workflow.is_active">
<code class="sig-name descname">is_active</code><a class="headerlink" href="#models.Workflow.is_active" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Workflow.workspace_id">
<code class="sig-name descname">workspace_id</code><a class="headerlink" href="#models.Workflow.workspace_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Workflow.created_on">
<code class="sig-name descname">created_on</code><a class="headerlink" href="#models.Workflow.created_on" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Workflow.modified_on">
<code class="sig-name descname">modified_on</code><a class="headerlink" href="#models.Workflow.modified_on" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="models.Workflow.serialize">
<em class="property">property </em><code class="sig-name descname">serialize</code><a class="headerlink" href="#models.Workflow.serialize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="models.ValidationWorkflow">
<em class="property">class </em><code class="sig-prename descclassname">models.</code><code class="sig-name descname">ValidationWorkflow</code><span class="sig-paren">(</span><em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#models.ValidationWorkflow" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">sqlalchemy.ext.declarative.api.Base</span></code></p>
<dl class="attribute">
<dt id="models.ValidationWorkflow.id">
<code class="sig-name descname">id</code><a class="headerlink" href="#models.ValidationWorkflow.id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ValidationWorkflow.name">
<code class="sig-name descname">name</code><a class="headerlink" href="#models.ValidationWorkflow.name" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ValidationWorkflow.description">
<code class="sig-name descname">description</code><a class="headerlink" href="#models.ValidationWorkflow.description" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ValidationWorkflow.validation_meta">
<code class="sig-name descname">validation_meta</code><a class="headerlink" href="#models.ValidationWorkflow.validation_meta" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ValidationWorkflow.version">
<code class="sig-name descname">version</code><a class="headerlink" href="#models.ValidationWorkflow.version" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ValidationWorkflow.status">
<code class="sig-name descname">status</code><a class="headerlink" href="#models.ValidationWorkflow.status" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ValidationWorkflow.health">
<code class="sig-name descname">health</code><a class="headerlink" href="#models.ValidationWorkflow.health" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ValidationWorkflow.is_active">
<code class="sig-name descname">is_active</code><a class="headerlink" href="#models.ValidationWorkflow.is_active" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ValidationWorkflow.created_on">
<code class="sig-name descname">created_on</code><a class="headerlink" href="#models.ValidationWorkflow.created_on" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ValidationWorkflow.modified_on">
<code class="sig-name descname">modified_on</code><a class="headerlink" href="#models.ValidationWorkflow.modified_on" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="models.ValidationWorkflow.serialize">
<em class="property">property </em><code class="sig-name descname">serialize</code><a class="headerlink" href="#models.ValidationWorkflow.serialize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="models.Scenario">
<em class="property">class </em><code class="sig-prename descclassname">models.</code><code class="sig-name descname">Scenario</code><span class="sig-paren">(</span><em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#models.Scenario" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">sqlalchemy.ext.declarative.api.Base</span></code></p>
<dl class="attribute">
<dt id="models.Scenario.id">
<code class="sig-name descname">id</code><a class="headerlink" href="#models.Scenario.id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Scenario.name">
<code class="sig-name descname">name</code><a class="headerlink" href="#models.Scenario.name" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Scenario.workflow_id">
<code class="sig-name descname">workflow_id</code><a class="headerlink" href="#models.Scenario.workflow_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Scenario.scenario_meta">
<code class="sig-name descname">scenario_meta</code><a class="headerlink" href="#models.Scenario.scenario_meta" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Scenario.is_active">
<code class="sig-name descname">is_active</code><a class="headerlink" href="#models.Scenario.is_active" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Scenario.last_run">
<code class="sig-name descname">last_run</code><a class="headerlink" href="#models.Scenario.last_run" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Scenario.created_on">
<code class="sig-name descname">created_on</code><a class="headerlink" href="#models.Scenario.created_on" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Scenario.modified_on">
<code class="sig-name descname">modified_on</code><a class="headerlink" href="#models.Scenario.modified_on" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="models.Scenario.serialize">
<em class="property">property </em><code class="sig-name descname">serialize</code><a class="headerlink" href="#models.Scenario.serialize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="models.ScenarioLog">
<em class="property">class </em><code class="sig-prename descclassname">models.</code><code class="sig-name descname">ScenarioLog</code><span class="sig-paren">(</span><em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#models.ScenarioLog" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">sqlalchemy.ext.declarative.api.Base</span></code></p>
<dl class="attribute">
<dt id="models.ScenarioLog.id">
<code class="sig-name descname">id</code><a class="headerlink" href="#models.ScenarioLog.id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ScenarioLog.scenario_id">
<code class="sig-name descname">scenario_id</code><a class="headerlink" href="#models.ScenarioLog.scenario_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ScenarioLog.scenario_log_meta">
<code class="sig-name descname">scenario_log_meta</code><a class="headerlink" href="#models.ScenarioLog.scenario_log_meta" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ScenarioLog.created_on">
<code class="sig-name descname">created_on</code><a class="headerlink" href="#models.ScenarioLog.created_on" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ScenarioLog.modified_on">
<code class="sig-name descname">modified_on</code><a class="headerlink" href="#models.ScenarioLog.modified_on" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="models.ScenarioLog.serialize">
<em class="property">property </em><code class="sig-name descname">serialize</code><a class="headerlink" href="#models.ScenarioLog.serialize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="models.ValidationScenario">
<em class="property">class </em><code class="sig-prename descclassname">models.</code><code class="sig-name descname">ValidationScenario</code><span class="sig-paren">(</span><em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#models.ValidationScenario" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">sqlalchemy.ext.declarative.api.Base</span></code></p>
<dl class="attribute">
<dt id="models.ValidationScenario.id">
<code class="sig-name descname">id</code><a class="headerlink" href="#models.ValidationScenario.id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ValidationScenario.name">
<code class="sig-name descname">name</code><a class="headerlink" href="#models.ValidationScenario.name" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ValidationScenario.workflow_id">
<code class="sig-name descname">workflow_id</code><a class="headerlink" href="#models.ValidationScenario.workflow_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ValidationScenario.scenario_meta">
<code class="sig-name descname">scenario_meta</code><a class="headerlink" href="#models.ValidationScenario.scenario_meta" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ValidationScenario.is_active">
<code class="sig-name descname">is_active</code><a class="headerlink" href="#models.ValidationScenario.is_active" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ValidationScenario.last_run">
<code class="sig-name descname">last_run</code><a class="headerlink" href="#models.ValidationScenario.last_run" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ValidationScenario.created_on">
<code class="sig-name descname">created_on</code><a class="headerlink" href="#models.ValidationScenario.created_on" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ValidationScenario.modified_on">
<code class="sig-name descname">modified_on</code><a class="headerlink" href="#models.ValidationScenario.modified_on" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="models.ValidationScenario.serialize">
<em class="property">property </em><code class="sig-name descname">serialize</code><a class="headerlink" href="#models.ValidationScenario.serialize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="models.ValidationScenarioLog">
<em class="property">class </em><code class="sig-prename descclassname">models.</code><code class="sig-name descname">ValidationScenarioLog</code><span class="sig-paren">(</span><em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#models.ValidationScenarioLog" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">sqlalchemy.ext.declarative.api.Base</span></code></p>
<dl class="attribute">
<dt id="models.ValidationScenarioLog.id">
<code class="sig-name descname">id</code><a class="headerlink" href="#models.ValidationScenarioLog.id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ValidationScenarioLog.scenario_id">
<code class="sig-name descname">scenario_id</code><a class="headerlink" href="#models.ValidationScenarioLog.scenario_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ValidationScenarioLog.scenario_log_meta">
<code class="sig-name descname">scenario_log_meta</code><a class="headerlink" href="#models.ValidationScenarioLog.scenario_log_meta" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ValidationScenarioLog.created_on">
<code class="sig-name descname">created_on</code><a class="headerlink" href="#models.ValidationScenarioLog.created_on" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ValidationScenarioLog.modified_on">
<code class="sig-name descname">modified_on</code><a class="headerlink" href="#models.ValidationScenarioLog.modified_on" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="models.ValidationScenarioLog.serialize">
<em class="property">property </em><code class="sig-name descname">serialize</code><a class="headerlink" href="#models.ValidationScenarioLog.serialize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="models.Phrases">
<em class="property">class </em><code class="sig-prename descclassname">models.</code><code class="sig-name descname">Phrases</code><span class="sig-paren">(</span><em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#models.Phrases" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">sqlalchemy.ext.declarative.api.Base</span></code></p>
<dl class="attribute">
<dt id="models.Phrases.id">
<code class="sig-name descname">id</code><a class="headerlink" href="#models.Phrases.id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Phrases.component_name">
<code class="sig-name descname">component_name</code><a class="headerlink" href="#models.Phrases.component_name" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Phrases.phrases">
<code class="sig-name descname">phrases</code><a class="headerlink" href="#models.Phrases.phrases" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Phrases.category">
<code class="sig-name descname">category</code><a class="headerlink" href="#models.Phrases.category" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Phrases.is_active">
<code class="sig-name descname">is_active</code><a class="headerlink" href="#models.Phrases.is_active" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Phrases.created_on">
<code class="sig-name descname">created_on</code><a class="headerlink" href="#models.Phrases.created_on" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Phrases.modified_on">
<code class="sig-name descname">modified_on</code><a class="headerlink" href="#models.Phrases.modified_on" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="models.Phrases.serialize">
<em class="property">property </em><code class="sig-name descname">serialize</code><a class="headerlink" href="#models.Phrases.serialize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="models.FileAdaptor">
<em class="property">class </em><code class="sig-prename descclassname">models.</code><code class="sig-name descname">FileAdaptor</code><span class="sig-paren">(</span><em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#models.FileAdaptor" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">sqlalchemy.ext.declarative.api.Base</span></code></p>
<dl class="attribute">
<dt id="models.FileAdaptor.id">
<code class="sig-name descname">id</code><a class="headerlink" href="#models.FileAdaptor.id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.FileAdaptor.name">
<code class="sig-name descname">name</code><a class="headerlink" href="#models.FileAdaptor.name" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.FileAdaptor.adaptor_meta">
<code class="sig-name descname">adaptor_meta</code><a class="headerlink" href="#models.FileAdaptor.adaptor_meta" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.FileAdaptor.is_active">
<code class="sig-name descname">is_active</code><a class="headerlink" href="#models.FileAdaptor.is_active" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.FileAdaptor.created_on">
<code class="sig-name descname">created_on</code><a class="headerlink" href="#models.FileAdaptor.created_on" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.FileAdaptor.modified_on">
<code class="sig-name descname">modified_on</code><a class="headerlink" href="#models.FileAdaptor.modified_on" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="models.FileAdaptor.serialize">
<em class="property">property </em><code class="sig-name descname">serialize</code><a class="headerlink" href="#models.FileAdaptor.serialize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="models.Layer">
<em class="property">class </em><code class="sig-prename descclassname">models.</code><code class="sig-name descname">Layer</code><span class="sig-paren">(</span><em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#models.Layer" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">sqlalchemy.ext.declarative.api.Base</span></code></p>
<dl class="attribute">
<dt id="models.Layer.name">
<code class="sig-name descname">name</code><a class="headerlink" href="#models.Layer.name" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Layer.layer_type">
<code class="sig-name descname">layer_type</code><a class="headerlink" href="#models.Layer.layer_type" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Layer.description">
<code class="sig-name descname">description</code><a class="headerlink" href="#models.Layer.description" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Layer.s3_path">
<code class="sig-name descname">s3_path</code><a class="headerlink" href="#models.Layer.s3_path" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Layer.schema_name">
<code class="sig-name descname">schema_name</code><a class="headerlink" href="#models.Layer.schema_name" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Layer.connector_id">
<code class="sig-name descname">connector_id</code><a class="headerlink" href="#models.Layer.connector_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Layer.is_active">
<code class="sig-name descname">is_active</code><a class="headerlink" href="#models.Layer.is_active" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Layer.created_by">
<code class="sig-name descname">created_by</code><a class="headerlink" href="#models.Layer.created_by" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Layer.created_date">
<code class="sig-name descname">created_date</code><a class="headerlink" href="#models.Layer.created_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Layer.modified_date">
<code class="sig-name descname">modified_date</code><a class="headerlink" href="#models.Layer.modified_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Layer.modified_by">
<code class="sig-name descname">modified_by</code><a class="headerlink" href="#models.Layer.modified_by" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Layer.layer_id">
<code class="sig-name descname">layer_id</code><a class="headerlink" href="#models.Layer.layer_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Layer.connector">
<code class="sig-name descname">connector</code><a class="headerlink" href="#models.Layer.connector" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Layer.user">
<code class="sig-name descname">user</code><a class="headerlink" href="#models.Layer.user" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Layer.user1">
<code class="sig-name descname">user1</code><a class="headerlink" href="#models.Layer.user1" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="models.Module">
<em class="property">class </em><code class="sig-prename descclassname">models.</code><code class="sig-name descname">Module</code><span class="sig-paren">(</span><em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#models.Module" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">sqlalchemy.ext.declarative.api.Base</span></code></p>
<dl class="attribute">
<dt id="models.Module.module_id">
<code class="sig-name descname">module_id</code><a class="headerlink" href="#models.Module.module_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Module.name">
<code class="sig-name descname">name</code><a class="headerlink" href="#models.Module.name" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Module.descritpion">
<code class="sig-name descname">descritpion</code><a class="headerlink" href="#models.Module.descritpion" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Module.created_by">
<code class="sig-name descname">created_by</code><a class="headerlink" href="#models.Module.created_by" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Module.created_date">
<code class="sig-name descname">created_date</code><a class="headerlink" href="#models.Module.created_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Module.modified_date">
<code class="sig-name descname">modified_date</code><a class="headerlink" href="#models.Module.modified_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Module.modified_by">
<code class="sig-name descname">modified_by</code><a class="headerlink" href="#models.Module.modified_by" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Module.user">
<code class="sig-name descname">user</code><a class="headerlink" href="#models.Module.user" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Module.user1">
<code class="sig-name descname">user1</code><a class="headerlink" href="#models.Module.user1" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="models.Usergroup">
<em class="property">class </em><code class="sig-prename descclassname">models.</code><code class="sig-name descname">Usergroup</code><span class="sig-paren">(</span><em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#models.Usergroup" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">sqlalchemy.ext.declarative.api.Base</span></code></p>
<dl class="attribute">
<dt id="models.Usergroup.name">
<code class="sig-name descname">name</code><a class="headerlink" href="#models.Usergroup.name" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Usergroup.description">
<code class="sig-name descname">description</code><a class="headerlink" href="#models.Usergroup.description" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Usergroup.is_active">
<code class="sig-name descname">is_active</code><a class="headerlink" href="#models.Usergroup.is_active" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Usergroup.created_date">
<code class="sig-name descname">created_date</code><a class="headerlink" href="#models.Usergroup.created_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Usergroup.modified_date">
<code class="sig-name descname">modified_date</code><a class="headerlink" href="#models.Usergroup.modified_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Usergroup.is_deleted">
<code class="sig-name descname">is_deleted</code><a class="headerlink" href="#models.Usergroup.is_deleted" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Usergroup.group_type">
<code class="sig-name descname">group_type</code><a class="headerlink" href="#models.Usergroup.group_type" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Usergroup.usergroup_id">
<code class="sig-name descname">usergroup_id</code><a class="headerlink" href="#models.Usergroup.usergroup_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Usergroup.created_by">
<code class="sig-name descname">created_by</code><a class="headerlink" href="#models.Usergroup.created_by" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Usergroup.modified_by">
<code class="sig-name descname">modified_by</code><a class="headerlink" href="#models.Usergroup.modified_by" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Usergroup.user">
<code class="sig-name descname">user</code><a class="headerlink" href="#models.Usergroup.user" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.Usergroup.user1">
<code class="sig-name descname">user1</code><a class="headerlink" href="#models.Usergroup.user1" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="models.FunctionalityMaster">
<em class="property">class </em><code class="sig-prename descclassname">models.</code><code class="sig-name descname">FunctionalityMaster</code><span class="sig-paren">(</span><em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#models.FunctionalityMaster" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">sqlalchemy.ext.declarative.api.Base</span></code></p>
<dl class="attribute">
<dt id="models.FunctionalityMaster.functionality_id">
<code class="sig-name descname">functionality_id</code><a class="headerlink" href="#models.FunctionalityMaster.functionality_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.FunctionalityMaster.name">
<code class="sig-name descname">name</code><a class="headerlink" href="#models.FunctionalityMaster.name" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.FunctionalityMaster.description">
<code class="sig-name descname">description</code><a class="headerlink" href="#models.FunctionalityMaster.description" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.FunctionalityMaster.module_id">
<code class="sig-name descname">module_id</code><a class="headerlink" href="#models.FunctionalityMaster.module_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.FunctionalityMaster.module">
<code class="sig-name descname">module</code><a class="headerlink" href="#models.FunctionalityMaster.module" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="models.ModuleLayerMapping">
<em class="property">class </em><code class="sig-prename descclassname">models.</code><code class="sig-name descname">ModuleLayerMapping</code><span class="sig-paren">(</span><em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#models.ModuleLayerMapping" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">sqlalchemy.ext.declarative.api.Base</span></code></p>
<dl class="attribute">
<dt id="models.ModuleLayerMapping.module_layer_mapping_id">
<code class="sig-name descname">module_layer_mapping_id</code><a class="headerlink" href="#models.ModuleLayerMapping.module_layer_mapping_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ModuleLayerMapping.module_id">
<code class="sig-name descname">module_id</code><a class="headerlink" href="#models.ModuleLayerMapping.module_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ModuleLayerMapping.layer_id">
<code class="sig-name descname">layer_id</code><a class="headerlink" href="#models.ModuleLayerMapping.layer_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ModuleLayerMapping.created_by">
<code class="sig-name descname">created_by</code><a class="headerlink" href="#models.ModuleLayerMapping.created_by" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ModuleLayerMapping.created_date">
<code class="sig-name descname">created_date</code><a class="headerlink" href="#models.ModuleLayerMapping.created_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ModuleLayerMapping.modified_date">
<code class="sig-name descname">modified_date</code><a class="headerlink" href="#models.ModuleLayerMapping.modified_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ModuleLayerMapping.modified_by">
<code class="sig-name descname">modified_by</code><a class="headerlink" href="#models.ModuleLayerMapping.modified_by" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ModuleLayerMapping.user">
<code class="sig-name descname">user</code><a class="headerlink" href="#models.ModuleLayerMapping.user" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ModuleLayerMapping.layer">
<code class="sig-name descname">layer</code><a class="headerlink" href="#models.ModuleLayerMapping.layer" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ModuleLayerMapping.user1">
<code class="sig-name descname">user1</code><a class="headerlink" href="#models.ModuleLayerMapping.user1" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.ModuleLayerMapping.module">
<code class="sig-name descname">module</code><a class="headerlink" href="#models.ModuleLayerMapping.module" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="models.UsergroupFunctionalityMapping">
<em class="property">class </em><code class="sig-prename descclassname">models.</code><code class="sig-name descname">UsergroupFunctionalityMapping</code><span class="sig-paren">(</span><em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#models.UsergroupFunctionalityMapping" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">sqlalchemy.ext.declarative.api.Base</span></code></p>
<dl class="attribute">
<dt id="models.UsergroupFunctionalityMapping.usergroup_functionality_mapping_id">
<code class="sig-name descname">usergroup_functionality_mapping_id</code><a class="headerlink" href="#models.UsergroupFunctionalityMapping.usergroup_functionality_mapping_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.UsergroupFunctionalityMapping.functionality_id">
<code class="sig-name descname">functionality_id</code><a class="headerlink" href="#models.UsergroupFunctionalityMapping.functionality_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.UsergroupFunctionalityMapping.usergroup_id">
<code class="sig-name descname">usergroup_id</code><a class="headerlink" href="#models.UsergroupFunctionalityMapping.usergroup_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.UsergroupFunctionalityMapping.created_by">
<code class="sig-name descname">created_by</code><a class="headerlink" href="#models.UsergroupFunctionalityMapping.created_by" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.UsergroupFunctionalityMapping.created_date">
<code class="sig-name descname">created_date</code><a class="headerlink" href="#models.UsergroupFunctionalityMapping.created_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.UsergroupFunctionalityMapping.modified_date">
<code class="sig-name descname">modified_date</code><a class="headerlink" href="#models.UsergroupFunctionalityMapping.modified_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.UsergroupFunctionalityMapping.modified_by">
<code class="sig-name descname">modified_by</code><a class="headerlink" href="#models.UsergroupFunctionalityMapping.modified_by" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.UsergroupFunctionalityMapping.user">
<code class="sig-name descname">user</code><a class="headerlink" href="#models.UsergroupFunctionalityMapping.user" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.UsergroupFunctionalityMapping.functionality">
<code class="sig-name descname">functionality</code><a class="headerlink" href="#models.UsergroupFunctionalityMapping.functionality" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.UsergroupFunctionalityMapping.user1">
<code class="sig-name descname">user1</code><a class="headerlink" href="#models.UsergroupFunctionalityMapping.user1" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.UsergroupFunctionalityMapping.usergroup">
<code class="sig-name descname">usergroup</code><a class="headerlink" href="#models.UsergroupFunctionalityMapping.usergroup" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="models.UsergroupUserMapping">
<em class="property">class </em><code class="sig-prename descclassname">models.</code><code class="sig-name descname">UsergroupUserMapping</code><span class="sig-paren">(</span><em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#models.UsergroupUserMapping" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">sqlalchemy.ext.declarative.api.Base</span></code></p>
<dl class="attribute">
<dt id="models.UsergroupUserMapping.usergroup_id">
<code class="sig-name descname">usergroup_id</code><a class="headerlink" href="#models.UsergroupUserMapping.usergroup_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.UsergroupUserMapping.user_id">
<code class="sig-name descname">user_id</code><a class="headerlink" href="#models.UsergroupUserMapping.user_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.UsergroupUserMapping.created_date">
<code class="sig-name descname">created_date</code><a class="headerlink" href="#models.UsergroupUserMapping.created_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.UsergroupUserMapping.modified_date">
<code class="sig-name descname">modified_date</code><a class="headerlink" href="#models.UsergroupUserMapping.modified_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.UsergroupUserMapping.created_by">
<code class="sig-name descname">created_by</code><a class="headerlink" href="#models.UsergroupUserMapping.created_by" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.UsergroupUserMapping.modified_by">
<code class="sig-name descname">modified_by</code><a class="headerlink" href="#models.UsergroupUserMapping.modified_by" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.UsergroupUserMapping.usergroup_user_mapping_id">
<code class="sig-name descname">usergroup_user_mapping_id</code><a class="headerlink" href="#models.UsergroupUserMapping.usergroup_user_mapping_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.UsergroupUserMapping.user">
<code class="sig-name descname">user</code><a class="headerlink" href="#models.UsergroupUserMapping.user" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.UsergroupUserMapping.user1">
<code class="sig-name descname">user1</code><a class="headerlink" href="#models.UsergroupUserMapping.user1" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.UsergroupUserMapping.user2">
<code class="sig-name descname">user2</code><a class="headerlink" href="#models.UsergroupUserMapping.user2" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.UsergroupUserMapping.usergroup">
<code class="sig-name descname">usergroup</code><a class="headerlink" href="#models.UsergroupUserMapping.usergroup" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="models.UsergroupLayerMapping">
<em class="property">class </em><code class="sig-prename descclassname">models.</code><code class="sig-name descname">UsergroupLayerMapping</code><span class="sig-paren">(</span><em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#models.UsergroupLayerMapping" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">sqlalchemy.ext.declarative.api.Base</span></code></p>
<dl class="attribute">
<dt id="models.UsergroupLayerMapping.usergroup_layer_mapping_id">
<code class="sig-name descname">usergroup_layer_mapping_id</code><a class="headerlink" href="#models.UsergroupLayerMapping.usergroup_layer_mapping_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.UsergroupLayerMapping.layer_id">
<code class="sig-name descname">layer_id</code><a class="headerlink" href="#models.UsergroupLayerMapping.layer_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.UsergroupLayerMapping.usergroup_id">
<code class="sig-name descname">usergroup_id</code><a class="headerlink" href="#models.UsergroupLayerMapping.usergroup_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.UsergroupLayerMapping.created_by">
<code class="sig-name descname">created_by</code><a class="headerlink" href="#models.UsergroupLayerMapping.created_by" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.UsergroupLayerMapping.created_date">
<code class="sig-name descname">created_date</code><a class="headerlink" href="#models.UsergroupLayerMapping.created_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.UsergroupLayerMapping.modified_date">
<code class="sig-name descname">modified_date</code><a class="headerlink" href="#models.UsergroupLayerMapping.modified_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.UsergroupLayerMapping.modified_by">
<code class="sig-name descname">modified_by</code><a class="headerlink" href="#models.UsergroupLayerMapping.modified_by" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.UsergroupLayerMapping.user">
<code class="sig-name descname">user</code><a class="headerlink" href="#models.UsergroupLayerMapping.user" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.UsergroupLayerMapping.layer">
<code class="sig-name descname">layer</code><a class="headerlink" href="#models.UsergroupLayerMapping.layer" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.UsergroupLayerMapping.user1">
<code class="sig-name descname">user1</code><a class="headerlink" href="#models.UsergroupLayerMapping.user1" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="models.UsergroupLayerMapping.usergroup">
<code class="sig-name descname">usergroup</code><a class="headerlink" href="#models.UsergroupLayerMapping.usergroup" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/models.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2019, AxtriaOne.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 2.3.1.
    </div>
  </body>
</html>